MonoMac 0.0.0.0 System.Object MonoMac.ObjCRuntime.INativeObject Represents a PDF Dictionary. Dictionaries are used extensively in the PDF file format. Instances of this class represent dictionaries in your documents and the methods in this class can be used to look up the values in the dictionary or iterate over all of the elements of it.
- Constructor
  0.0.0.0
  Pointer (handle) to the unmanaged object.
  A constructor used when creating managed representations of unmanaged objects.
- Method
  0.0.0.0
  System.Void `` The method or lambda to be invoked for each element in the dictionary. Iterates over all the elements in the dictionary, invoking the provided callback method for each element.

  This method is used to iterate over all of the elements in the dictionary without having to know the names of the keys in the dictionary.

  The callback is invoked with the name of the dictionary key and an boxed object. The type of the boxed object in the callback is one of: null value, boolean, int, float, string, CGPDFArray, CGPDFDictionary or CGPDFStream.

- Property
  0.0.0.0
  System.Int32 The number of items on this dictionary. You can iterate over the dictionary elements by using the Apply method.
- Method
  0.0.0.0
  System.Boolean `` `` The name of the element to get out of the dictionary. The array, if the function returns true. Looks up an array value by name on the dictionary. true if the value was found on the dictionary and the out parameter set to the value. If the value is false, the result of the out parameter is undefined.
- Method
  0.0.0.0
  System.Boolean `` `` The name of the element to get out of the dictionary. The boolean value, if the function returns true. Looks up a boolean value by name on the dictionary. true if the value was found on the dictionary and the out parameter set to the value. If the value is false, the result of the out parameter is undefined.
- Method
  0.0.0.0
  System.Boolean `` `` The name of the element to get out of the dictionary. The dictionary, if the function returns true. Looks up a dictionary value by name on the dictionary. true if the value was found on the dictionary and the out parameter set to the value. If the value is false, the result of the out parameter is undefined.
- Method
  0.0.0.0
  System.Boolean `` `` The name of the element to get out of the dictionary. The float value, if the function returns true. Looks up a float value by name on the dictionary. true if the value was found on the dictionary and the out parameter set to the value. If the value is false, the result of the out parameter is undefined.
- Method
  0.0.0.0
  System.Boolean `` `` The name of the element to get out of the dictionary. The integer, if the function returns true. Looks up an integer value by name on the dictionary. true if the value was found on the dictionary and the out parameter set to the value. If the value is false, the result of the out parameter is undefined.
- Method
  0.0.0.0
  System.Boolean `` `` The name of the element to get out of the dictionary. The name, if the function returns true. Looks up a name in the dictionary. true if the value was found on the dictionary and the out parameter set to the value. If the value is false, the result of the out parameter is undefined.
- Method
  0.0.0.0
  System.Boolean `` `` The name of the element to get out of the dictionary. The stream, if the function returns true. Looks up a CGPDFStream in the dictionary. true if the value was found on the dictionary and the out parameter set to the value. If the value is false, the result of the out parameter is undefined.
- Method
  0.0.0.0
  System.Boolean `` `` The name of the element to get out of the dictionary. The string, if the function returns true. Looks up a string in the dictionary. true if the value was found on the dictionary and the out parameter set to the value. If the value is false, the result of the out parameter is undefined.
- Property
  0.0.0.0
  System.IntPtr Handle (pointer) to the unmanaged object representation. A pointer This IntPtr is a handle to the underlying unmanaged representation for this object.